0
votes
1answer
75 views

Missing Dependency: python-chardet is needed by package reconfigure-0.1.50-1.noarch (ajenti)

I'm getting this error while installing ajenti. yum install ajenti Error: Missing Dependency: python-chardet is needed by package reconfigure-0.1.50-1.noarch (ajenti) Any idea?
4
votes
1answer
143 views

What can I do to safely repair my yum packages after a bad update?

I'm running amazon linux on an EC2 micro box. Recently I ran sudo yum update --security in the hope that it would patch Heartbleed. Unfortunately I ran out of memory during the update process and some ...
0
votes
1answer
1k views

CentOS 6.5: yum insists on installing 32-bit packages on 64-bit install causing multilib issues

This morning I tried to install libvirt on one of my servers. The yum install failed with a multilib issue related to the plymouth-core-libs package. Later, when trying a yum update I got a similiar ...
0
votes
1answer
330 views

CentOS 6 Httpd failed to start

I am using CentOS 6.5. The Apache HTTP server (httpd) is dead for an unknown reason. I cannot visit http://localhost/ anymore. When I tried to restart httpd, it failed (Error message shown below). ...
1
vote
3answers
308 views

php-snmp php-devel php-mbstring Dependency Issues RHEL 6

I apologize if this is answered, I may just not know what exactly to search for. I am attempting to install Cacti on RHEL6 and have hit a wall trying to install these three package: php-snmp ...
0
votes
1answer
90 views

Missing Package Dependency - CentOS - Amazon EC2

After running yum update --skip-broken I get the following: Packages skipped because of dependency problems: aws-cli-1.1.0-1.3.amzn1.noarch from amzn-main ...
1
vote
2answers
514 views

CentOS 6 missing dependencies for default PHP

I have a brand new Dedi install of CentOS 6 x86_64, nothing has been done to it but install rpmforge and htop. Other than that we are default, well as default as GoDaddy gives which is garbage ha ha. ...
0
votes
1answer
640 views

Can't get yum repository (ius) to install because of (epel) dependency that seems to be installed

So I'm trying to install the epel repository and then also install the ius repository. I'm managing this server with chef, and my run list goes ... "recipe[yum::yum]", "recipe[yum::epel]", ...
2
votes
2answers
1k views

rpmbuild on CentOS 6.3 64-bit - broken dependencies

I'm trying to build a package using rpmbuild on 64-bit CentOS 6.3 server. Here is the spec file: Name: test-fms Version: 1.0 Release: 1%{?dist} Summary: my FMS Package ...
1
vote
2answers
423 views

Unresolved dependency after yum update crash (broken ssh connection)

Today I was updating one of production server (one of many to test updates and then update the rest of computers). Soon after run yum update ssh connection was broken :/ . After login once again ...
0
votes
1answer
217 views

Dependency loop while trying to install gcc on Fedora 17

I'm trying to yum install gcc but getting this message. Error: Package: glibc-common-2.15-37.fc17.i686 (@anaconda-0) Requires: glibc = 2.15-37.fc17 Removing: glibc-2.15-37.fc17.i686 ...
2
votes
3answers
3k views

Howto get yum to install only dependencies for a given pakage?

I am looking for a way to have yum install only dependencies for a given package, something like an --prepare-for-install option so I can take a snapshot of the prepared system and test the rpm setup ...
2
votes
2answers
1k views

Installation of gearmand fails on libevent dependency

I've installed the PostgreSQL yum repo and have PostgreSQL running for some time now, but now when I try to install gearmand I get the following errors: Transaction Check Error: file ...
1
vote
2answers
4k views

php-xml install complains of dependency php-common but this is already installed (CentOS)

How do I force php-xml to see the already installed dependency? sudo yum install php-xml complains about: php-common = 5.1.6-34.el5_8 but running yum install php-common ...
0
votes
1answer
830 views

Install PEAR Mail/Mime Dependency issues in pure EPEL installation

Newbie in the sysadm area. Using Centos 6.2. I am trying to install PEAR's Mime.php. I have successfully installed PEAR's Mail before. It's not going to well now for Mime.php. This is what I do: ...
0
votes
2answers
195 views

Erlang install error on Fedora 13

I am attempting to install RabbitMQ on a Fedora 13 box. This requires Erlang is installed. When I run yum install erlang I get the following messages. Yum seems to indicate that it resolved all the ...
2
votes
2answers
2k views

yum update dependency error (already installed)

i'm facing the following error: Transaction Check Error: package apr-1.3.12-1.jason.1.x86_64 (which is newer than apr-1.2.7-11.el5_6.5.cloudlinux.2.i386) is already installed This is on cloudlinux. ...
1
vote
0answers
982 views

Fixing problems with yum, urllib2, and missing dependencies?

I've been trying to resolve the following problem with yum / python's urllib2: [root@...]# yum Traceback (most recent call last): File "/usr/bin/yum", line 4, in ? import yum File ...
0
votes
4answers
9k views

Centos 6 yum update - Packages skipped because of dependency problems

I'm trying to keep my offsite backup server up to date so I've run an update and I'm getting dependency issues. I haven't got a clue how to continue. Below is the output from from YUM. ...
1
vote
2answers
100 views

A basic question with yum

I am trying to edit the source of a package and make it work. Thus, I didnt use yum install, I installed it from source and it is working. The package im building from source is libvirt. Now I want to ...
0
votes
1answer
534 views

Missing Dependency Errors when Installing OpenVas Server

I'm trying to install OpenVAS on Red Hat Enterprise Linux 5.5. I've successfully run yum install openvas-client, but yum install openvas-server prints the following errors: --> Finished Dependency ...
0
votes
1answer
508 views

What depends on glibc.i686 — yum

yum is skipping certain packages because of glibc.i686. What I want to know is what is using glibc.i686 ( which I guess is the source of the failure ) ? sudo yum -y update --skip-broken [sudo] ...
1
vote
1answer
423 views

Managing Internal Yum Repository Groups

What is the best method for handling yum groups dependencies? For example, take this comps.xml file <comps> <group> <id>production</id> ...
2
votes
2answers
3k views

yum depsolving problems - package already installed?

In trying to do a 'yum update' I've started to hit the following error on a number of my systems: --> Running transaction check --> Processing Dependency: freetype = 2.2.1-28.el5_5 for package: ...
3
votes
1answer
2k views

Which RPM fixes this failed RedHat dependency?

Problem I'm installing an RPM on RedHat Enterprise Linux 5 and it fails with the following error: error: Failed dependencies: rpmlib(PayloadIsLzma) <= 4.4.6-1 is needed by vspd-1/43-rsmu.i586 ...
1
vote
1answer
401 views

Yum dependency problems with packages installed from source

I'm running CentOS 5.3 and this is my problem: - I installed (A) from source. (B) depends on (A) - I want to install the (B) RPM, but the (B) RPM depends on the (A) RPM. So yum wants me to install ...
1
vote
9answers
5k views

Dependency Challenge with CentOS

Given the following output, suggestions on what to try first? This is on a CentOS 5.3 box (upgraded from 5.2 via yum) running as a little dev server. I'm generally comfortable with *nix, but ...